# Generated by rust2rpm 16
%bcond_without check
%global debug_package %{nil}

%global crate tinyvec

Name:           rust-%{crate}
Version:        1.1.0
Release:        1%{?dist}
Summary:        100% safe vec-like data structures

# Upstream license specification: Zlib OR Apache-2.0 OR MIT
License:        zlib or ASL 2.0 or MIT
URL:            https://crates.io/crates/tinyvec
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}
%if %{__cargo_skip_build}
BuildArch:      noarch
%endif

BuildRequires:  rust-packaging

%global _description %{expand:
`tinyvec` provides 100% safe vec-like data structures.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages
which use "%{crate}" crate.

%files          devel
%license LICENSE-ZLIB.md LICENSE-APACHE.md LICENSE-MIT.md
%doc README.md
%{cargo_registry}/%{crate}-%{version_no_tilde}/
%exclude %{cargo_registry}/%{crate}-%{version_no_tilde}/{src-backup/,.github/,gen-array-impls.sh,rustfmt.toml}

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages
which use "default" feature of "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages
which use "alloc" feature of "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+experimental_write_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental_write_impl-devel %{_description}

This package contains library source intended for building other packages
which use "experimental_write_impl" feature of "%{crate}" crate.

%files       -n %{name}+experimental_write_impl-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+grab_spare_slice-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+grab_spare_slice-devel %{_description}

This package contains library source intended for building other packages
which use "grab_spare_slice" feature of "%{crate}" crate.

%files       -n %{name}+grab_spare_slice-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+nightly_const_generics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly_const_generics-devel %{_description}

This package contains library source intended for building other packages
which use "nightly_const_generics" feature of "%{crate}" crate.

%files       -n %{name}+nightly_const_generics-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+nightly_slice_partition_dedup-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly_slice_partition_dedup-devel %{_description}

This package contains library source intended for building other packages
which use "nightly_slice_partition_dedup" feature of "%{crate}" crate.

%files       -n %{name}+nightly_slice_partition_dedup-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+rustc_1_40-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rustc_1_40-devel %{_description}

This package contains library source intended for building other packages
which use "rustc_1_40" feature of "%{crate}" crate.

%files       -n %{name}+rustc_1_40-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages
which use "serde" feature of "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%package     -n %{name}+tinyvec_macros-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+tinyvec_macros-devel %{_description}

This package contains library source intended for building other packages
which use "tinyvec_macros" feature of "%{crate}" crate.

%files       -n %{name}+tinyvec_macros-devel
%ghost %{cargo_registry}/%{crate}-%{version_no_tilde}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Fri Nov 20 2020 Fabio Valentini <decathorpe@gmail.com> - 1.1.0-1
- Update to version 1.1.0.
- Fixes RHBZ#1888408

* Wed Oct 07 2020 Fabio Valentini <decathorpe@gmail.com> - 1.0.1-1
- Update to version 1.0.1.

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat May 23 12:39:02 CEST 2020 Igor Raits <i.gnatenko.brain@gmail.com> - 0.3.3-1
- Initial package
